#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.0
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.0-3tB1O8dbmg68zndLxldhHB-dns-internal
key:                  dns-4.1.0-3tB1O8dbmg68zndLxldhHB-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  3ce3302609f6ab9f47ef02fadc63a4dd
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-3tB1O8dbmg68zndLxldhHB-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-HtUjJW9ScNOAbqeeyA7eAK
    attoparsec-0.14.4-8o1dQ6yU1rxD4vG6e4yfU4
    auto-update-0.1.6-GHdIKCUzpSe8tzUZOCdNgN base-4.15.1.0
    base16-bytestring-1.0.2.0-Gqlh8Vz53dG4LEJv9JGYC9
    base64-bytestring-1.2.1.0-JqlrLIjAgPuHn9bzuMbsro
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-JJF5UVncQkk2W71ZgJSlNU
    hourglass-0.2.12-Czp6iIPfPYPGqJzpnd3M3b
    iproute-1.7.12-2RUzfDZa1rHFiy2uTcQdgg mtl-2.2.2
    network-3.1.2.7-2migibsQkdRJOHMsxX4UCn
    psqueues-0.2.7.3-6wXNeoa2N2d9TxIYjnA5vj

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.0
visibility:           public
id:                   dns-4.1.0-4OtGwkLAbuj1SpzkR7J9mM
key:                  dns-4.1.0-4OtGwkLAbuj1SpzkR7J9mM
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  905730676773ea83d7cc40605a0a5c99
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-4OtGwkLAbuj1SpzkR7J9mM
depends:
    array-0.5.4.0 async-2.2.4-HtUjJW9ScNOAbqeeyA7eAK
    attoparsec-0.14.4-8o1dQ6yU1rxD4vG6e4yfU4
    auto-update-0.1.6-GHdIKCUzpSe8tzUZOCdNgN base-4.15.1.0
    base16-bytestring-1.0.2.0-Gqlh8Vz53dG4LEJv9JGYC9
    base64-bytestring-1.2.1.0-JqlrLIjAgPuHn9bzuMbsro
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-JJF5UVncQkk2W71ZgJSlNU
    dns-4.1.0-3tB1O8dbmg68zndLxldhHB-dns-internal
    hourglass-0.2.12-Czp6iIPfPYPGqJzpnd3M3b
    iproute-1.7.12-2RUzfDZa1rHFiy2uTcQdgg mtl-2.2.2
    network-3.1.2.7-2migibsQkdRJOHMsxX4UCn
    psqueues-0.2.7.3-6wXNeoa2N2d9TxIYjnA5vj

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

